使用RVM轻松部署Ruby环境

Ruby用得不多,但发现有业务需要部署指定的版本和插件。起初找了一些Fedora的src.rpm重新打包,发现依赖问题比较多,最终还是费劲的把el6的包编出来了。

不巧今天又有业务要求el5的包,原本不维护el5了。突然想起RVM(Ruby Version Manager),轻松搞定:

# curl -L https://get.rvm.io | bash -s stable --autolibs=enabled --ruby # https://raw.github.com/wayneeseguin/rvm/master/binscripts/rvm-installer
echo insecure >> ~/.curlrc # CentOS 5 需要
curl -L https://get.rvm.io | bash -s stable 
source  /etc/profile
sed -i 's!ftp.ruby-lang.org/pub/ruby!ruby.taobao.org/mirrors/ruby!' /usr/local/rvm/config/db # 使用淘宝源,普通用户被安装在 ~/.rvm目录下
rvm list known # 查看支持安装的组件和版本
yum -y install gcc-c++ readline-devel zlib-devel libyaml-devel libffi-devel openssl-devel make autoconf automake libtool bison # 理论上RVM会自动检测并安装依赖包
rvm install ruby # 下载+编译安装
ruby -v

 安装示例

好,在此Ruby顺利安装完成。和Python类似,Ruby需要丰富的第3方库方显活力。官网源由于网络原因下载会非常慢,感谢淘宝提供了可靠的国内资源。速度配置上:

gem sources -l
gem sources --remove https://rubygems.org/
gem sources -a http://ruby.taobao.org/
gem sources -l

修改仓库源

然后,安装所需的开发库吧`gem install googleplay_dev_scraper`:

安装所需库支持

在部分CentOS 5机器上安装过程出现错误,执行`rvm reinstall ruby --verify-downloads 1`重装后正常:

自动重装

RVM目前(v1.22.19)仅支持编译安装,若需要批量部署建议用FPM制作RPM包进行分发,打包 '/usr/local/rvm/ /etc/rvmrc /etc/profile.d/rvm.sh' 即可。RVM作者表示v2.0将支持rpm的生成!

 

好,至此。玩得开心!

posted @ 2013-10-09 23:04 higkoo 阅读(...) 评论(...)  编辑 收藏